module user_project_wrapper (user_clock2,
    vccd1,
    vccd2,
    vdda1,
    vdda2,
    vssa1,
    vssa2,
    vssd1,
    vssd2,
    wb_clk_i,
    wb_rst_i,
    wbs_ack_o,
    wbs_cyc_i,
    wbs_stb_i,
    wbs_we_i,
    analog_io,
    io_in,
    io_oeb,
    io_out,
    la_data_in,
    la_data_out,
    la_oenb,
    user_irq,
    wbs_adr_i,
    wbs_dat_i,
    wbs_dat_o,
    wbs_sel_i);
 input user_clock2;
 input vccd1;
 input vccd2;
 input vdda1;
 input vdda2;
 input vssa1;
 input vssa2;
 input vssd1;
 input vssd2;
 input wb_clk_i;
 input wb_rst_i;
 output wbs_ack_o;
 input wbs_cyc_i;
 input wbs_stb_i;
 input wbs_we_i;
 inout [28:0] analog_io;
 input [37:0] io_in;
 output [37:0] io_oeb;
 output [37:0] io_out;
 input [127:0] la_data_in;
 output [127:0] la_data_out;
 input [127:0] la_oenb;
 output [2:0] user_irq;
 input [31:0] wbs_adr_i;
 input [31:0] wbs_dat_i;
 output [31:0] wbs_dat_o;
 input [3:0] wbs_sel_i;

 wire tx;

 leaf_chip mprj (.clk(wb_clk_i),
    .reset(wb_rst_i),
    .rx(io_in[0]),
    .tx(tx),
    .vccd1(vccd1),
    .vssd1(vssd1));
//   assign io_oeb[0] = wb_rst_i;
//   assign io_oeb[10] = wb_rst_i;
//   assign io_oeb[11] = wb_rst_i;
//   assign io_oeb[12] = wb_rst_i;
//   assign io_oeb[13] = wb_rst_i;
//   assign io_oeb[14] = wb_rst_i;
//   assign io_oeb[15] = wb_rst_i;
//   assign io_oeb[16] = wb_rst_i;
//   assign io_oeb[17] = wb_rst_i;
//   assign io_oeb[18] = wb_rst_i;
//   assign io_oeb[19] = wb_rst_i;
//   assign io_oeb[1] = wb_rst_i;
//   assign io_oeb[20] = wb_rst_i;
//   assign io_oeb[21] = wb_rst_i;
//   assign io_oeb[22] = wb_rst_i;
//   assign io_oeb[23] = wb_rst_i;
//   assign io_oeb[24] = wb_rst_i;
//   assign io_oeb[25] = wb_rst_i;
//   assign io_oeb[26] = wb_rst_i;
//   assign io_oeb[27] = wb_rst_i;
//   assign io_oeb[28] = wb_rst_i;
//   assign io_oeb[29] = wb_rst_i;
//   assign io_oeb[2] = wb_rst_i;
//   assign io_oeb[30] = wb_rst_i;
//   assign io_oeb[31] = wb_rst_i;
//   assign io_oeb[32] = wb_rst_i;
//   assign io_oeb[33] = wb_rst_i;
//   assign io_oeb[34] = wb_rst_i;
//   assign io_oeb[35] = wb_rst_i;
//   assign io_oeb[36] = wb_rst_i;
//   assign io_oeb[37] = wb_rst_i;
//   assign io_oeb[3] = wb_rst_i;
//   assign io_oeb[4] = wb_rst_i;
//   assign io_oeb[5] = wb_rst_i;
//   assign io_oeb[6] = wb_rst_i;
//   assign io_oeb[7] = wb_rst_i;
//   assign io_oeb[8] = wb_rst_i;
//   assign io_oeb[9] = wb_rst_i;
 assign io_out[1] = tx;
 assign wbs_ack_o = wbs_stb_i;
endmodule
